# Read a receipt into a proposed expense (marked as read by a model)

`POST /accounting/receipts` · Rivier · accounting

Read a receipt into a proposed expense (marked as read by a model).

- Scope: accounting:write
- Mcp: rivier_accounting_receipt_capture
- Graphql: Mutation.accountingCaptureReceipt
- Sdk: accounting.receipt.capture
- Cli: accounting receipt capture

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "filename": {
      "type": "string",
      "minLength": 1,
      "maxLength": 200
    },
    "mime": {
      "type": "string",
      "maxLength": 100
    },
    "contentBase64": {
      "type": "string",
      "minLength": 4,
      "maxLength": 14000000
    },
    "idempotencyKey": {
      "type": "string",
      "minLength": 1,
      "maxLength": 120
    }
  },
  "required": [
    "filename",
    "mime",
    "contentBase64"
  ],
  "additionalProperties": false
}
```

## Responses

- `201`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/accounting/receipts' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "filename": "string",
  "mime": "string",
  "contentBase64": "string"
}'
```
